//
//  LLSpilloCoreDataMessaging.h
//  Spillo
//
//  Created by Damien DeVille on 8/15/14.
//  Copyright (c) 2014 Damien DeVille. All rights reserved.
//

#import <Cocoa/Cocoa.h>

@interface LLSpilloCoreDataTransactionWriter : NSObject

- (void)writeTransactionWithPersistentStoreSaveNotification:(NSNotification *)notification;

@end

@protocol LLSpilloCoreDataTransactionReaderDelegate;

@interface LLSpilloCoreDataTransactionReader : NSObject

@property (weak, nonatomic) id <LLSpilloCoreDataTransactionReaderDelegate> delegate;

@end

@protocol LLSpilloCoreDataTransactionReaderDelegate <NSObject>

- (void)coreDataTransactionReader:(LLSpilloCoreDataTransactionReader *)reader didReadPersistentStoreSaveNotification:(NSNotification *)persistentStoreNotification;

@end

@interface NSManagedObjectContext (LLSpilloPersistentStoreSaveNotification)

- (NSNotification *)createPersistentStoreSaveNotificationFromSaveNotification:(NSNotification *)notification;
- (NSNotification *)createSaveNotificationFromPersistentStoreSaveNotification:(NSNotification *)notification;

@end
