//
//  LLSpilloDataStoreCoordinator.h
//  Spillo
//
//  Created by Damien DeVille on 4/16/14.
//  Copyright (c) 2014 Damien DeVille. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <CoreData/CoreData.h>

@interface LLSpilloDataStoreCoordinator : NSObject

/*!
	\brief
	Setup the coordinator, mounting the store and returning an error by reference if failing.
 */
- (BOOL)setup:(NSError **)errorRef;

/*!
	\brief
	Teardown the coordinator, unmounting the store and returning an error by reference if failing.
 */
- (BOOL)teardown:(NSError **)errorRef;

@property (readonly, strong, nonatomic) NSPersistentStoreCoordinator *persistentStoreCoordinator;

@property (readonly, strong, nonatomic) NSManagedObjectContext *rootManagedObjectContext;
@property (readonly, strong, nonatomic) NSManagedObjectContext *mainManagedObjectContext;

@end

@interface LLSpilloDataStoreCoordinator (Logout)

- (BOOL)resetPinboardStore:(NSError **)errorRef;
- (BOOL)resetSpilloStore:(NSError **)errorRef;

@end
